summaryrefslogtreecommitdiffstats
path: root/src/db.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-04-13 01:35:01 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-04-13 01:35:01 (EDT)
commitdad62a66102a5f35968c694200cad3a20da14dce (patch)
tree95116a7dc61fbe6b0d34abefcd1baf849dfaac85 /src/db.sh
parent58daff309a0b0c88bcf583ff971412667b88b83b (diff)
Add "|| :" after try_rmdir() calls
Diffstat (limited to 'src/db.sh')
-rw-r--r--src/db.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/db.sh b/src/db.sh
index 703dca0..4069621 100644
--- a/src/db.sh
+++ b/src/db.sh
@@ -243,7 +243,7 @@ db_del_packages()
# Remove "pool/<hash>/<source>/.db/<binver>_<arch>_<plat>".
rmdir "${dir}"
# Try to remove "pool/<hash>/<source>/.db".
- try_rmdir "${dir%/*}"
+ try_rmdir "${dir%/*}" || :
return 0
}